BimpДовідка

Заявки на витрату коштів: методи API Bimp

Методи API Bimp для ресурсу «Заявки на витрату коштів» (/org2/expenseRequest/…): 5 методів. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

МетодЩо робить
POST /org2/expenseRequest/api-readA request to obtain detailed information for a particular money spending plan
POST /org2/expenseRequest/api-readListA request to view a list of money spending plans
POST /org2/expenseRequest/api-createA request to create a money spending plan
POST /org2/expenseRequest/api-updateA request to update or add information to an existing money spending plan
POST /org2/expenseRequest/api-readStatusesA request to retrieve the available statuses for a money spending plan

api-read

POST /org2/expenseRequest/api-read

A request to obtain detailed information for a particular money spending plan

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)так

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentDetailsobject[]
paymentDetails[].lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
paymentDetails[].costItemstring (uuid)A unique identifier for the Cost Item, obtainable from the /expenseItems/api-readList request
paymentDetails[].projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
paymentDetails[].commentstringAn optional text field for any additional notes or comments related to the document
paymentDetails[].customerOrderstring (uuid)A unique identifier for the Customer Order, obtainable from the /invoiceForCustomerPayment/api-readList request
paymentDetails[].sumnumberThe sum of the payment details
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
sumnumberThe sum of the document
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
employeestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList
automaticPaymentsPlanningbooleanAdding to payment calendar
commentstringAn optional text field for any additional notes or comments related to the document
counterpartystring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
operationTypenumber | string
responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
statusExpenseRequeststring (uuid)A unique identifier for the Status of document, obtainable from the /expenseRequest/api-readStatuses request
curl -X POST 'https://app.bimpsoft.com/org2/expenseRequest/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/expenseRequest/api-readList

A request to view a list of money spending plans

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтак
pagination.offsetnumberтакBegin from {offset} elements
pagination.countnumberтакLimit of paginated elemets
periodobject[]
statusExpenseRequeststring (uuid)A unique identifier for the Status of document, obtainable from the /expenseRequest/api-readStatuses request

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)
[].paymentEntitystring
[].currencystring
[].datestring
[].commentstring
[].counterpartystring
[].numberstring
[].organizationstring
[].responsiblestring
[].statusExpenseRequeststring
[].sumnumber
curl -X POST 'https://app.bimpsoft.com/org2/expenseRequest/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-create

POST /org2/expenseRequest/api-create

A request to create a money spending plan

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
organizationstring (uuid)такA unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentDetailsobject[]так
paymentDetails[].lineOfBusinessstring (uuid)такA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
paymentDetails[].costItemstring (uuid)такA unique identifier for the Cost Item, obtainable from the /expenseItems/api-readList request
paymentDetails[].projectstring (uuid)такA unique identifier for the Project, obtainable from the /project/api-readList request
paymentDetails[].commentstringAn optional text field for any additional notes or comments related to the document
paymentDetails[].customerOrderstring (uuid)A unique identifier for the Customer Order, obtainable from the /invoiceForCustomerPayment/api-readList request
paymentDetails[].sumnumberThe sum of the payment details
paymentEntitystring (uuid)такThe unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
sumnumberтакThe sum of the document
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
employeestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList
automaticPaymentsPlanningbooleanAdding to payment calendar
commentstringAn optional text field for any additional notes or comments related to the document
counterpartystring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
operationTypenumber | string
responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
statusExpenseRequeststring (uuid)A unique identifier for the Status of document, obtainable from the /expenseRequest/api-readStatuses request

Відповідь: поле data

ПолеТипОпис
uuidstring
curl -X POST 'https://app.bimpsoft.com/org2/expenseRequest/api-create' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"organization":"00000000-0000-0000-0000-000000000000","paymentDetails":[{}],"paymentEntity":"00000000-0000-0000-0000-000000000000","sum":1}'

api-update

POST /org2/expenseRequest/api-update

A request to update or add information to an existing money spending plan

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)так
organizationstring (uuid)такA unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentDetailsobject[]так
paymentDetails[].lineOfBusinessstring (uuid)такA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
paymentDetails[].costItemstring (uuid)такA unique identifier for the Cost Item, obtainable from the /expenseItems/api-readList request
paymentDetails[].projectstring (uuid)такA unique identifier for the Project, obtainable from the /project/api-readList request
paymentDetails[].commentstringAn optional text field for any additional notes or comments related to the document
paymentDetails[].customerOrderstring (uuid)A unique identifier for the Customer Order, obtainable from the /invoiceForCustomerPayment/api-readList request
paymentDetails[].sumnumberThe sum of the payment details
paymentEntitystring (uuid)такThe unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
sumnumberтакThe sum of the document
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
employeestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList
automaticPaymentsPlanningbooleanAdding to payment calendar
commentstringAn optional text field for any additional notes or comments related to the document
counterpartystring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
operationTypenumber | string
responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
statusExpenseRequeststring (uuid)A unique identifier for the Status of document, obtainable from the /expenseRequest/api-readStatuses request

Відповідь: поле data

ПолеТипОпис
uuidstring
curl -X POST 'https://app.bimpsoft.com/org2/expenseRequest/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","paymentDetails":[{}],"paymentEntity":"00000000-0000-0000-0000-000000000000","sum":1}'

api-readStatuses

POST /org2/expenseRequest/api-readStatuses

A request to retrieve the available statuses for a money spending plan

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтак
pagination.offsetnumberтакBegin from {offset} elements
pagination.countnumberтакLimit of paginated elemets
namestringFilter by name

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)
[].namestring
curl -X POST 'https://app.bimpsoft.com/org2/expenseRequest/api-readStatuses' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.